Summary: @DESCRIPTION@
Name: @PACKAGE_NAME@
Version: @VERSION@
Release: @BUILD_NUMBER@%{?dist}
License: LGPL
Group: Development/Libraries/C++
Source0: %{name}-%{version}.tar.gz
BuildRequires: gnupg, subversion, automake, autoconf, doxygen
%if 0%{?fedora} != 20
BuildRequires: graphviz
%endif
%if ( 0%{?suse_version} || 0%{?sles_version} ) && ( 0%{?suse_version} < 1200 ||  0%{?sles_version} < 1200 )
BuildRequires: libp11-devel
%else
BuildRequires: p11-kit-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%if 0%{?fedora} || 0%{?rhel} || 0%{?rhl} || 0%{?centos} || 0%{?centos_ver} || 0%{?centos_version}
BuildRequires: pkgconfig, redhat-lsb
%if 0%{?centos} || 0%{?centos_ver} || 0%{?centos_version}
BuildRequires: qt-devel
%else
BuildRequires: mscgen, qt5-qtbase-devel, qt5-qttools, qt5-qtwebkit-devel
%endif
%else%if 0%{?suse_version} || 0%{?sles_version}
BuildRequires: pkg-config, lsb-release
%if 0%{?suse_version} < 1200 ||  0%{?sles_version} < 1200
BuildRequires: libqt4-devel, qt4-x11-tools, libQtWebKit-devel
%else
BuildRequires: libqt5-qtbase-devel, libqt5-qttools, libQt5WebKit5-devel
%endif
%endif%endif

%description
@README@

This package contains only the shared libraries required at runtime.


%prep
%setup -q
./configure --prefix=/usr \
            --docdir=/usr/share/doc/packages/@PACKAGE_NAME@ \
            --libdir=/usr/%_lib

%build
make

%install
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/%_lib/@PACKAGE_NAME@.so.*
/usr/bin/*
%doc
/usr/share/doc/packages/@PACKAGE_NAME@/AUTHORS
/usr/share/doc/packages/@PACKAGE_NAME@/COPYING
/usr/share/doc/packages/@PACKAGE_NAME@/ChangeLog
/usr/share/doc/packages/@PACKAGE_NAME@/INSTALL
/usr/share/doc/packages/@PACKAGE_NAME@/NEWS
/usr/share/doc/packages/@PACKAGE_NAME@/README

%package devel
Summary: @DESCRIPTION@
Group: Development/Libraries/C++
Requires: @PACKAGE_NAME@ = @VERSION@

%description devel
@README@

This Package contains all files required for developement.

%files devel
%defattr(-,root,root,-)
/usr/%_lib/@PACKAGE_NAME@.so
/usr/%_lib/@PACKAGE_NAME@.a
/usr/%_lib/@PACKAGE_NAME@.la
/usr/%_lib/pkgconfig
/usr/include/*
%doc
/usr/share/doc/packages/@PACKAGE_NAME@/html

%changelog

